#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(sctp_do_peeloff, 0xe3c68535, "");
SYMBOL_CRC(sctp_transport_traverse_process, 0xaf073ec5, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x6e4d34fd, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0xbc711093, "_gpl");
SYMBOL_CRC(sctp_get_sctp_info, 0x8422255f, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ad94568, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xa80a7b7f, "sock_i_uid" },
	{ 0xb6a7ada7, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x92db16ff, "skb_copy_bits" },
	{ 0xe656dd8, "inet_unregister_protosw" },
	{ 0x3761d215, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x385252c8, "sock_wfree" },
	{ 0x1f4b887c, "skb_put" },
	{ 0x17e592c4, "register_net_sysctl" },
	{ 0xc0a9220d, "__fl6_sock_lookup" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa47dc399, "ip6_dst_hoplimit" },
	{ 0x6f6abd4e, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xbd7ca699, "inet6_add_offload" },
	{ 0x58577241, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xffe0ff1d, "inet6_bind" },
	{ 0xd3af979c, "memdup_user" },
	{ 0x7f867dce, "trace_raw_output_prep" },
	{ 0x6a415bc2, "l3mdev_fib_table_by_index" },
	{ 0x4dca60a3, "udp_sock_create4" },
	{ 0x7f13bab5, "skb_dequeue" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x3f002836, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xaedab433, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x57f861ea, "skb_segment" },
	{ 0x2d95f267, "trace_event_printf" },
	{ 0xeb33db56, "__ip_dev_find" },
	{ 0x5104af31, "udp_tunnel6_xmit_skb" },
	{ 0x664f68db, "sock_common_getsockopt" },
	{ 0x618452af, "inet_bind" },
	{ 0x7b34c67f, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0x3413b229, "fd_install" },
	{ 0x6f200870, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xcc0f4c5, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xa23d4ea7, "inet_register_protosw" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x12d3fc5b, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xe32af6d5, "bpf_trace_run2" },
	{ 0x4b3628b6, "sock_common_setsockopt" },
	{ 0xaae5df2b, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9474142a, "ip_route_output_flow" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0x6a0d6693, "kmem_cache_create" },
	{ 0xa524c91d, "__sk_mem_schedule" },
	{ 0x39da359c, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xc69fefd7, "sock_alloc_file" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3a425827, "proc_create_net_data" },
	{ 0xdf6d476e, "__percpu_counter_init" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x6df3329d, "sk_error_report" },
	{ 0xfc496cc3, "register_pernet_subsys" },
	{ 0x5c27e33f, "put_cmsg" },
	{ 0x9f58891f, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x4130d0bc, "inet_sock_destruct" },
	{ 0x21f21ab9, "crypto_destroy_tfm" },
	{ 0x3081d24e, "sock_kmalloc" },
	{ 0xed149a0a, "inet_sk_get_local_port_range" },
	{ 0x158fa05f, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0x92997ed8, "_printk" },
	{ 0x449b2dfe, "inet_getname" },
	{ 0x33cd5be5, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x9e7c62c8, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x690bec5f, "__alloc_skb" },
	{ 0xc94fdebf, "__genradix_ptr" },
	{ 0xa96665d, "inet_release" },
	{ 0xc3e8126c, "kmem_cache_alloc" },
	{ 0x90ec326f, "proto_register" },
	{ 0xcadf679a, "skb_copy_expand" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0x556b449, "inet6_compat_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0xf53fddb1, "inet_ctl_sock_create" },
	{ 0x90764764, "inet_ioctl" },
	{ 0xf1a58455, "reuseport_add_sock" },
	{ 0xe0d8a75c, "reuseport_select_sock" },
	{ 0xb94f4d5d, "__kmalloc_node_track_caller" },
	{ 0x5f9ede6c, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x4ce7b493, "sk_filter_trim_cap" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xd7d73cb6, "perf_trace_run_bpf_submit" },
	{ 0x6e2da197, "arch_read_lock_wait" },
	{ 0x4060edaa, "fput" },
	{ 0xb8b3a112, "__traceiter_sk_data_ready" },
	{ 0x8da2ced2, "inet_accept" },
	{ 0x395afb9c, "init_net" },
	{ 0x8911a536, "crypto_shash_setkey" },
	{ 0x395f0cdb, "skb_pull" },
	{ 0xe8abe55f, "inet_add_offload" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc12b4f45, "inet_add_protocol" },
	{ 0xa14da2ed, "inet_shutdown" },
	{ 0x939b5e85, "sk_free" },
	{ 0xf6d9fc23, "sock_wake_async" },
	{ 0x25247a49, "dev_get_by_index_rcu" },
	{ 0xbdf4f572, "kfree_skb_reason" },
	{ 0x954f099c, "idr_preload" },
	{ 0x732907e7, "inet_del_offload" },
	{ 0x73ef2fe8, "skb_push" },
	{ 0xa0374c4e, "__ip_queue_xmit" },
	{ 0x5a970bce, "kmem_cache_free" },
	{ 0xf297edb7, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x85abc85f, "strncmp" },
	{ 0x8e73ebce, "proc_doulongvec_minmax" },
	{ 0x5c9263ce, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0xf67bd2ef, "ns_capable" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x4cffa884, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x40f9e8c3, "inet6_ioctl" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0x9c353013, "skb_copy_datagram_iter" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x4e89ce10, "idr_alloc_cyclic" },
	{ 0xec98c9c1, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xf3b26807, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x3f5853d4, "ip6_dst_lookup_flow" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0x8e396669, "sock_no_socketpair" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0x1b74f11, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xf84aaf77, "sock_no_mmap" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x2674efb0, "__pskb_pull_tail" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x4e8f2a11, "setup_udp_tunnel_sock" },
	{ 0xd2211f6d, "udp_sock_create6" },
	{ 0x7153088d, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xa495d940, "sk_common_release" },
	{ 0xa619ba2e, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xf4cdc50f, "inet6_getname" },
	{ 0x5f56827b, "sock_i_ino" },
	{ 0x2cf6d480, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x7ded328f, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0x5beb1ed3, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x307698c6, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x8913435f, "trace_event_buffer_reserve" },
	{ 0x2686f9de, "__skb_checksum" },
	{ 0x4f159b3b, "reuseport_alloc" },
	{ 0xc880fe98, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x2aa44f9e, "inet6_release" },
	{ 0x90abb542, "prepare_to_wait_exclusive" },
	{ 0x4d5fe525, "percpu_counter_add_batch" },
	{ 0xea7ccc58, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfd22e100, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xa05026c9, "ipv6_dup_options" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x31d3199b, "rhltable_init" },
	{ 0x992c52bb, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3263aecd, "seq_printf" },
	{ 0xbb726599, "proc_create_net_single" },
	{ 0x38f46479, "skb_copy" },
	{ 0xfda2a14f, "skb_clone" },
	{ 0x98fb6a9d, "inet_sk_set_state" },
	{ 0xda743d2e, "dst_release" },
	{ 0xa58180e8, "_copy_from_iter" },
	{ 0x711f6935, "sock_release" },
	{ 0xd93dd3c3, "proc_dointvec" },
	{ 0xb894711c, "seq_puts" },
	{ 0xc1b5b86b, "sock_gettstamp" },
	{ 0x7c435d2f, "security_sctp_bind_connect" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0x9a84d4b3, "_proc_mkdir" },
	{ 0xcffee3cf, "sk_setup_caps" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xc017f8ca, "send_sig" },
	{ 0x5080ca5d, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xb86e0f14, "inet6_add_protocol" },
	{ 0x4953c43c, "from_kuid_munged" },
	{ 0x92125378, "kmalloc_trace" },
	{ 0xc0a8bede, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0x55fc6b4a, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x3df3fdc7, "ipv6_getsockopt" },
	{ 0xb524bbca, "reuseport_detach_sock" },
	{ 0x9abc8ff6, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xa3b06dde, "percpu_counter_destroy" },
	{ 0xf7c4035f, "iov_iter_revert" },
	{ 0xfd35c5a1, "crypto_alloc_shash" },
	{ 0x2bbe76f4, "rps_sock_flow_table" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xb09489bc, "sock_init_data" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xf363f5fe, "kmalloc_caches" },
	{ 0xc6bddfcb, "kmem_cache_destroy" },
	{ 0xaba31450, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd2267592, "skb_queue_head" },
	{ 0xc84fddf6, "proc_dointvec_minmax" },
	{ 0x44e37ce2, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "EE9C1EAA84CC28C3D341A24");

MODULE_INFO(suserelease, "SLE15-SP6");
