#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(i2c_put_dma_safe_msg_buf, 0x4dae16e4, "_gpl");
SYMBOL_CRC(i2c_get_dma_safe_msg_buf, 0x42041512, "_gpl");
SYMBOL_CRC(i2c_put_adapter, 0x117742a9, "");
SYMBOL_CRC(i2c_get_adapter, 0x05f62067, "");
SYMBOL_CRC(i2c_new_scanned_device, 0x526374e2, "_gpl");
SYMBOL_CRC(i2c_probe_func_quick_read, 0xa677d635, "_gpl");
SYMBOL_CRC(i2c_client_get_device_id, 0xc45d92c9, "_gpl");
SYMBOL_CRC(i2c_get_device_id, 0x7cadabd1, "_gpl");
SYMBOL_CRC(i2c_transfer_buffer_flags, 0x8da63a66, "");
SYMBOL_CRC(i2c_transfer, 0x11f9023a, "");
SYMBOL_CRC(__i2c_transfer, 0xba995bd9, "");
SYMBOL_CRC(i2c_clients_command, 0x51a67b9a, "");
SYMBOL_CRC(i2c_del_driver, 0xef5e7aa4, "");
SYMBOL_CRC(i2c_register_driver, 0xed489269, "");
SYMBOL_CRC(i2c_for_each_dev, 0x171b5fbb, "_gpl");
SYMBOL_CRC(i2c_parse_fw_timings, 0x611d4977, "_gpl");
SYMBOL_CRC(i2c_get_adapter_by_fwnode, 0x3654373c, "");
SYMBOL_CRC(i2c_find_adapter_by_fwnode, 0x19686b94, "");
SYMBOL_CRC(devm_i2c_add_adapter, 0xcf30eff9, "_gpl");
SYMBOL_CRC(i2c_del_adapter, 0x3b4b2e4b, "");
SYMBOL_CRC(i2c_add_numbered_adapter, 0x070a7924, "_gpl");
SYMBOL_CRC(i2c_add_adapter, 0x827d781a, "");
SYMBOL_CRC(i2c_handle_smbus_host_notify, 0x060d50af, "_gpl");
SYMBOL_CRC(i2c_verify_adapter, 0xd0cd8129, "");
SYMBOL_CRC(i2c_adapter_type, 0xab6545ff, "_gpl");
SYMBOL_CRC(i2c_adapter_depth, 0xb5d83de1, "_gpl");
SYMBOL_CRC(i2c_new_ancillary_device, 0x876c3238, "_gpl");
SYMBOL_CRC(devm_i2c_new_dummy_device, 0xd8aba16f, "_gpl");
SYMBOL_CRC(i2c_new_dummy_device, 0x9ab4bdca, "_gpl");
SYMBOL_CRC(i2c_find_device_by_fwnode, 0x55c41cfe, "");
SYMBOL_CRC(i2c_unregister_device, 0xec298216, "_gpl");
SYMBOL_CRC(i2c_new_client_device, 0x8d5bfa58, "_gpl");
SYMBOL_CRC(i2c_verify_client, 0xdc28b58d, "");
SYMBOL_CRC(i2c_client_type, 0xf523ec04, "_gpl");
SYMBOL_CRC(i2c_bus_type, 0x2c7130ba, "_gpl");
SYMBOL_CRC(i2c_recover_bus, 0x36764385, "_gpl");
SYMBOL_CRC(i2c_generic_scl_recovery, 0xfc614919, "_gpl");
SYMBOL_CRC(i2c_get_match_data, 0x94a9cdda, "");
SYMBOL_CRC(i2c_match_id, 0x41d18e11, "_gpl");
SYMBOL_CRC(i2c_freq_mode_string, 0x550f3e05, "_gpl");
SYMBOL_CRC(i2c_new_smbus_alert_device, 0x96039549, "_gpl");
SYMBOL_CRC(i2c_smbus_read_i2c_block_data_or_emulated, 0x41bdc1da, "");
SYMBOL_CRC(__i2c_smbus_xfer, 0xb1de4554, "");
SYMBOL_CRC(i2c_smbus_xfer, 0x72a7feeb, "");
SYMBOL_CRC(i2c_smbus_write_i2c_block_data, 0xea5d9e76, "");
SYMBOL_CRC(i2c_smbus_read_i2c_block_data, 0x40c51f5b, "");
SYMBOL_CRC(i2c_smbus_write_block_data, 0x0387223e, "");
SYMBOL_CRC(i2c_smbus_read_block_data, 0xf71d993b, "");
SYMBOL_CRC(i2c_smbus_write_word_data, 0xfc327f80, "");
SYMBOL_CRC(i2c_smbus_read_word_data, 0xab357a66, "");
SYMBOL_CRC(i2c_smbus_write_byte_data, 0x60fd0502, "");
SYMBOL_CRC(i2c_smbus_read_byte_data, 0xc1bae5be, "");
SYMBOL_CRC(i2c_smbus_write_byte, 0x751e6eb7, "");
SYMBOL_CRC(i2c_smbus_read_byte, 0xf6d365c6, "");
SYMBOL_CRC(i2c_smbus_pec, 0x3491d1ae, "");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc2e4c1e7, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7401aa97, "devres_release_group" },
	{ 0x3761d215, "idr_find" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x24c00a72, "dev_set_name" },
	{ 0xaca0aef0, "complete" },
	{ 0x7f867dce, "trace_raw_output_prep" },
	{ 0x62291a96, "bpf_trace_run6" },
	{ 0xbb5e876, "device_unregister" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xaedab433, "__trace_trigger_soft_disabled" },
	{ 0x5bd2e757, "irq_domain_remove" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x2d95f267, "trace_event_printf" },
	{ 0xf7370f56, "system_state" },
	{ 0xef1d3a07, "dummy_irq_chip" },
	{ 0x6f200870, "trace_event_raw_init" },
	{ 0xabe1431b, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd9a2d43a, "device_for_each_child" },
	{ 0x33101f5e, "bus_for_each_drv" },
	{ 0x343bdf1, "__i2c_board_list" },
	{ 0x8ee234ec, "synchronize_srcu" },
	{ 0xcb0ea900, "get_device" },
	{ 0x3eea0d4a, "bpf_trace_run8" },
	{ 0x81e2bdf4, "generic_handle_irq_safe" },
	{ 0x2925fd25, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xb93dd5b9, "dev_driver_string" },
	{ 0x9f58891f, "trace_event_buffer_commit" },
	{ 0xf8e4e8b5, "device_match_fwnode" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0xa555d0e4, "irq_set_chip_and_handler_name" },
	{ 0xda7f232, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xfa0898d4, "device_property_read_u32_array" },
	{ 0x72d5de83, "handle_simple_irq" },
	{ 0x30b6124b, "bus_for_each_dev" },
	{ 0xf4784852, "_dev_info" },
	{ 0xe80a5b05, "module_put" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xd7d73cb6, "perf_trace_run_bpf_submit" },
	{ 0x8d8d5da6, "bus_unregister" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xde86fd7d, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x154f922e, "bus_find_device" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x4ccff4d0, "irq_get_irq_data" },
	{ 0x33fae8b5, "rt_mutex_unlock" },
	{ 0xa605d6ec, "rt_mutex_trylock" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x5c9263ce, "trace_event_reg" },
	{ 0x9850d5e7, "driver_unregister" },
	{ 0x2298ef6d, "devres_open_group" },
	{ 0x50e7193a, "__i2c_first_dynamic_bus_num" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xeb8d6248, "device_register" },
	{ 0xa7199d04, "__irq_resolve_mapping" },
	{ 0x360c7de6, "tracepoint_srcu" },
	{ 0x862519ce, "_dev_warn" },
	{ 0xf7641ed9, "device_get_match_data" },
	{ 0x2b949cbe, "__irq_domain_add" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0xd186f15e, "device_remove_software_node" },
	{ 0x103bafd6, "down_read" },
	{ 0xe798236d, "jiffies" },
	{ 0xa619ba2e, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa4e188e7, "strscpy" },
	{ 0x8913435f, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0xe35fb609, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd76425c7, "irq_create_mapping_affinity" },
	{ 0xde842fc0, "__rt_mutex_init" },
	{ 0xc824f9d8, "__i2c_board_lock" },
	{ 0xa22e32ac, "device_add_software_node" },
	{ 0x92125378, "kmalloc_trace" },
	{ 0x2a5e689f, "__devm_add_action" },
	{ 0x9709c885, "bpf_trace_run7" },
	{ 0x349cba85, "strchr" },
	{ 0xdcdb81a5, "rt_mutex_lock" },
	{ 0xc755c93f, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0xcbb22644, "driver_register" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0x1a89d1b6, "__dev_fwnode" },
	{ 0xf363f5fe, "kmalloc_caches" },
	{ 0x79ec71f9, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x44e37ce2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3E743357EEF871B404D265F");

MODULE_INFO(suserelease, "SLE15-SP6");
