#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "external");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e1678de, "pin_user_pages_fast" },
	{ 0x5c1c9d45, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x1979faf8, "pci_cfg_access_unlock" },
	{ 0x40cb552c, "unpin_user_pages_dirty_lock" },
	{ 0x1a3dba30, "pci_request_selected_regions" },
	{ 0xb360ad05, "pci_release_selected_regions" },
	{ 0xcc44adb9, "pci_enable_device_mem" },
	{ 0x1208aca9, "pci_iomap" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x950da198, "pci_alloc_irq_vectors" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x40d0c829, "kill_fasync" },
	{ 0xc16385a8, "dma_unmap_page_attrs" },
	{ 0x5693f452, "class_destroy" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x4af69a2b, "__pci_register_driver" },
	{ 0xcc471b67, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0xc67fac74, "pci_sriov_get_totalvfs" },
	{ 0xec3caa44, "seq_lseek" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x2925fd25, "__dynamic_dev_dbg" },
	{ 0x577dda94, "pci_unregister_driver" },
	{ 0xfa6f6aca, "pci_cfg_access_lock" },
	{ 0xfd331753, "wake_up_process" },
	{ 0x6dd5f87a, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6f4dbfc, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xba79797c, "debugfs_create_x64" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6dd6b6e5, "pci_set_pcie_reset_state" },
	{ 0xf4784852, "_dev_info" },
	{ 0xc6cbbc89, "capable" },
	{ 0x13d8bc30, "pci_select_bars" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x253f487, "compat_ptr_ioctl" },
	{ 0x800473f, "__cond_resched" },
	{ 0xb0ef9aaa, "cdev_add" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xde86fd7d, "_dev_err" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x75fce10f, "kill_pid" },
	{ 0xcb01da69, "class_create" },
	{ 0xca07d875, "dma_alloc_attrs" },
	{ 0x20561e5f, "debugfs_remove" },
	{ 0x7ad23e10, "fasync_helper" },
	{ 0xf1e046cc, "panic" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0xdd1275bd, "kthread_stop" },
	{ 0xbe184a26, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x7c6d9f19, "pci_restore_state" },
	{ 0x862519ce, "_dev_warn" },
	{ 0x3244a302, "pci_set_master" },
	{ 0x5c9418ef, "debugfs_create_u32" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x7268146c, "pci_reset_function" },
	{ 0x4f4f0c14, "kthread_create_on_node" },
	{ 0xa24f23df, "dma_set_coherent_mask" },
	{ 0x62ba6b92, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb3e15f4a, "device_create_with_groups" },
	{ 0x537f673d, "debugfs_create_file" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xa6d439ef, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xdb011693, "device_destroy" },
	{ 0x3263aecd, "seq_printf" },
	{ 0x37ef0feb, "pci_disable_sriov" },
	{ 0x240d13fb, "pci_disable_device" },
	{ 0xb894711c, "seq_puts" },
	{ 0x8caaec56, "single_release" },
	{ 0x986a83d3, "dma_set_mask" },
	{ 0x92125378, "kmalloc_trace" },
	{ 0xdf59602c, "crc_itu_t" },
	{ 0xc47c4c3d, "single_open" },
	{ 0x1a6b9c73, "debugfs_create_dir" },
	{ 0x7d7218f6, "pci_free_irq_vectors" },
	{ 0xb748f76c, "pci_enable_sriov" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x9fe09937, "put_pid" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc39b5cde, "cdev_init" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xf363f5fe, "kmalloc_caches" },
	{ 0xae492731, "cdev_del" },
	{ 0x44e37ce2, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");

MODULE_ALIAS("pci:v00001014d0000044Bsv00001014sd0000035Fbc12sc00i00*");
MODULE_ALIAS("pci:v00001014d0000044Bsv00000000sd00000000bc12sc00i00*");
MODULE_ALIAS("pci:v00001014d00000000sv00000000sd00000000bc12sc00i00*");
MODULE_ALIAS("pci:v00001014d0000044Bsv00000000sd0000035Fbc12sc00i00*");
MODULE_ALIAS("pci:v00001014d00000000sv00000000sd0000035Fbc12sc00i00*");
MODULE_ALIAS("pci:v00001014d0000044Bsv00001014sd0000044Bbc12sc00i00*");

MODULE_INFO(srcversion, "114DACB26FF58DD731580DA");

MODULE_INFO(suserelease, "SLE15-SP6");
