#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(macsec_netdev_is_offloaded, 0x09d86a16, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0xa7ae9b00, "_gpl");
SYMBOL_CRC(macsec_pn_wrapped, 0x4962249a, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf1211a9d, "dev_set_mtu" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x19ef145f, "dev_mc_sync" },
	{ 0x1f4b887c, "skb_put" },
	{ 0x6f6abd4e, "consume_skb" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0xc611b60f, "dev_uc_sync" },
	{ 0x36d39c7f, "dev_uc_del" },
	{ 0x2899b223, "rtnl_link_register" },
	{ 0x3afac14d, "genlmsg_put" },
	{ 0xde743dae, "___pskb_trim" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb49f2f73, "dev_set_promiscuity" },
	{ 0xc33f7279, "crypto_alloc_aead" },
	{ 0x677cfb7e, "gro_cells_init" },
	{ 0x1276e390, "crypto_aead_setauthsize" },
	{ 0xf8d9a90c, "crypto_aead_decrypt" },
	{ 0x7aadb9fa, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x7896f14b, "dev_uc_unsync" },
	{ 0xa35cc194, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4fee48d9, "netdev_upper_dev_link" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0xcd1d7ccc, "dev_addr_mod" },
	{ 0x21f21ab9, "crypto_destroy_tfm" },
	{ 0xafa25e1d, "eth_type_trans" },
	{ 0x92997ed8, "_printk" },
	{ 0x940d3cd7, "netdev_rx_handler_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcadf679a, "skb_copy_expand" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0xd14cfc27, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x6d10dc0c, "__dev_get_by_index" },
	{ 0x417fe35a, "rtnl_link_unregister" },
	{ 0x395f0cdb, "skb_pull" },
	{ 0xda2c4b46, "crypto_aead_encrypt" },
	{ 0xf58b58f1, "netif_stacked_transfer_operstate" },
	{ 0xbdf4f572, "kfree_skb_reason" },
	{ 0x3465c2ea, "gro_cells_receive" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x73ef2fe8, "skb_push" },
	{ 0xdec982fa, "netdev_upper_dev_unlink" },
	{ 0x7965889, "nla_put" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2674efb0, "__pskb_pull_tail" },
	{ 0x7153088d, "skb_trim" },
	{ 0x7feae3aa, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x297a442f, "metadata_dst_free" },
	{ 0x7adcb64b, "__dev_queue_xmit" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xa6b6b4f9, "linkwatch_fire_event" },
	{ 0x69420a8a, "dev_set_allmulti" },
	{ 0x55f2580b, "__alloc_percpu" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb03efd7a, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8e139457, "__netif_rx" },
	{ 0x38f46479, "skb_copy" },
	{ 0xfda2a14f, "skb_clone" },
	{ 0x9720e816, "metadata_dst_alloc" },
	{ 0xda743d2e, "dst_release" },
	{ 0xa016e57d, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8f163578, "netdev_rx_handler_register" },
	{ 0xc9ae3bd0, "dev_uc_add" },
	{ 0x6a7cd8b7, "genl_unregister_family" },
	{ 0x92125378, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xfaf5b125, "dev_mc_unsync" },
	{ 0xc97157ad, "genl_register_family" },
	{ 0xff6f0f7a, "skb_to_sgvec" },
	{ 0xf888ca21, "sg_init_table" },
	{ 0x1dadd920, "__kmalloc" },
	{ 0xf363f5fe, "kmalloc_caches" },
	{ 0x739c07bc, "register_netdevice" },
	{ 0x44e37ce2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "046D8C45DB9AABF707D8E3B");

MODULE_INFO(suserelease, "SLE15-SP6");
