#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(vxlan_dev_create, 0x0efca544, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0xa56ee3e5, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0x6e2d5476, "_gpl");
SYMBOL_CRC(vxlan_fdb_find_uc, 0x2e04a636, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x42c7deaa, "__skb_checksum_complete" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb5232a1a, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x380e46cd, "__nlmsg_put" },
	{ 0x92db16ff, "skb_copy_bits" },
	{ 0xbc0081ad, "netdev_adjacent_change_commit" },
	{ 0x1dcc0f12, "eth_mac_addr" },
	{ 0x1f4b887c, "skb_put" },
	{ 0xce7bc744, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa47dc399, "ip6_dst_hoplimit" },
	{ 0xff294889, "param_ops_ushort" },
	{ 0x6f6abd4e, "consume_skb" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x33569e6f, "nla_put_64bit" },
	{ 0x4dca60a3, "udp_sock_create4" },
	{ 0x56e0384a, "dst_cache_set_ip4" },
	{ 0x5104af31, "udp_tunnel6_xmit_skb" },
	{ 0x2899b223, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x2fba4d24, "netif_inherit_tso_max" },
	{ 0x236c8c64, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfabd6a32, "eth_validate_addr" },
	{ 0x64c3ad06, "rhashtable_init" },
	{ 0x677cfb7e, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x3b356cf5, "rtnl_create_link" },
	{ 0x9474142a, "ip_route_output_flow" },
	{ 0x7aadb9fa, "unregister_netdevice_queue" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xfdaefb64, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xa35cc194, "ether_setup" },
	{ 0x2ad7e8e8, "udp_tunnel_drop_rx_port" },
	{ 0x598f9e64, "pskb_expand_head" },
	{ 0x4fee48d9, "netdev_upper_dev_link" },
	{ 0xfc496cc3, "register_pernet_subsys" },
	{ 0xcd1d7ccc, "dev_addr_mod" },
	{ 0xafa25e1d, "eth_type_trans" },
	{ 0x28378917, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x690bec5f, "__alloc_skb" },
	{ 0xe0c59be1, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xf62d39fd, "eth_gro_complete" },
	{ 0xc580b4d9, "rtnl_set_sk_err" },
	{ 0xb87b241b, "eth_gro_receive" },
	{ 0x936f9c48, "rtnl_configure_link" },
	{ 0x5aa64e76, "skb_tunnel_check_pmtu" },
	{ 0x8714a692, "peernet2id" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x40d8aa01, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x6d10dc0c, "__dev_get_by_index" },
	{ 0x417fe35a, "rtnl_link_unregister" },
	{ 0x57c053f1, "__skb_get_hash" },
	{ 0x8802f133, "ipv6_stub" },
	{ 0x395f0cdb, "skb_pull" },
	{ 0x69c8344f, "gro_find_complete_by_type" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x25247a49, "dev_get_by_index_rcu" },
	{ 0xbdf4f572, "kfree_skb_reason" },
	{ 0x3465c2ea, "gro_cells_receive" },
	{ 0x73ef2fe8, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0xdec982fa, "netdev_upper_dev_unlink" },
	{ 0x7965889, "nla_put" },
	{ 0x581b6afe, "free_netdev" },
	{ 0x52492458, "ip_mc_join_group" },
	{ 0x6425bb9c, "udp_tunnel_push_rx_port" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x9f1e221f, "kmalloc_large" },
	{ 0x4cffa884, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x961fc359, "nexthop_find_by_id" },
	{ 0x6516d377, "ethtool_op_get_link" },
	{ 0xcc37f9cb, "arp_create" },
	{ 0x9587a171, "__ethtool_get_link_ksettings" },
	{ 0x54fd2de3, "netdev_adjacent_change_prepare" },
	{ 0x7a826d5e, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xf3b26807, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x30696079, "rhashtable_free_and_destroy" },
	{ 0xf3b8882, "rht_bucket_nested_insert" },
	{ 0x63d39a53, "netdev_adjacent_change_abort" },
	{ 0x1b74f11, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53d42ad0, "__iptunnel_pull_header" },
	{ 0x2674efb0, "__pskb_pull_tail" },
	{ 0x10dced6f, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xc28c735f, "netif_rx" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x4e8f2a11, "setup_udp_tunnel_sock" },
	{ 0xd2211f6d, "udp_sock_create6" },
	{ 0x7153088d, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6a7134fc, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x680fef5c, "skb_scrub_packet" },
	{ 0xb02a4376, "nexthop_select_path" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x297a442f, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1b4229df, "dst_cache_get_ip6" },
	{ 0xd0f7569e, "neigh_destroy" },
	{ 0x1dccc15e, "dst_cache_get_ip4" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfd22e100, "param_ops_bool" },
	{ 0x19e6454e, "udp_tun_rx_dst" },
	{ 0x1444341c, "dst_cache_set_ip6" },
	{ 0xdea55785, "rtnl_notify" },
	{ 0x992c52bb, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8e139457, "__netif_rx" },
	{ 0xfda2a14f, "skb_clone" },
	{ 0x9720e816, "metadata_dst_alloc" },
	{ 0xda743d2e, "dst_release" },
	{ 0xfe3b5ac0, "unregister_nexthop_notifier" },
	{ 0x1f043477, "arp_tbl" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xfc38c342, "udp_tunnel_notify_del_rx_port" },
	{ 0xa6e2e39, "register_nexthop_notifier" },
	{ 0x835bdd06, "ip_mc_leave_group" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x92125378, "kmalloc_trace" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x61a6a17, "rht_bucket_nested" },
	{ 0xe73aa120, "gro_find_receive_by_type" },
	{ 0xa24d047f, "netdev_core_stats_inc" },
	{ 0xf363f5fe, "kmalloc_caches" },
	{ 0x693d625f, "netdev_info" },
	{ 0xf42f81b6, "neigh_lookup" },
	{ 0xaba31450, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x739c07bc, "register_netdevice" },
	{ 0x44e37ce2, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "E86BFDB2956171AA801C436");

MODULE_INFO(suserelease, "SLE15-SP6");
