#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

SYMBOL_CRC(ip_tunnel_setup, 0x698edc15, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x2158ca63, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x3c994776, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x4c1e66c5, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x18d4e8d7, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0xcde4dbb8, "_gpl");
SYMBOL_CRC(ip_tunnel_init_net, 0x32e52278, "_gpl");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x39b8a5f2, "");
SYMBOL_CRC(ip_tunnel_get_link_net, 0x1ae57682, "");
SYMBOL_CRC(ip_tunnel_dellink, 0x984cd2ad, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0xe0ef6c40, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x1c3d4c91, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x189ca0e3, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xda53c03e, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x813d2cbe, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x48310175, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x5a19fd22, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x47d09ab6, "");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x9506a9ad, "");
SYMBOL_CRC(ip_tunnel_rcv, 0x80dfe8c6, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0xecb2407b, "");
SYMBOL_CRC(ip_tunnel_lookup, 0x76e9cc21, "_gpl");

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf1211a9d, "dev_set_mtu" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x92db16ff, "skb_copy_bits" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56e0384a, "dst_cache_set_ip4" },
	{ 0x236c8c64, "memcpy" },
	{ 0xc5c8b56c, "raw_copy_to_user" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x677cfb7e, "gro_cells_init" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x9474142a, "ip_route_output_flow" },
	{ 0x7aadb9fa, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x80e40dd3, "netdev_state_change" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x598f9e64, "pskb_expand_head" },
	{ 0xcd1d7ccc, "dev_addr_mod" },
	{ 0xafa25e1d, "eth_type_trans" },
	{ 0x2ce437b3, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x3d0fae85, "icmpv6_ndo_send" },
	{ 0xe541f71, "__alloc_percpu_gfp" },
	{ 0x40d8aa01, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x6d10dc0c, "__dev_get_by_index" },
	{ 0x57c053f1, "__skb_get_hash" },
	{ 0x395afb9c, "init_net" },
	{ 0xbdf4f572, "kfree_skb_reason" },
	{ 0x3465c2ea, "gro_cells_receive" },
	{ 0x982252a4, "iptunnel_xmit" },
	{ 0xde30d043, "icmp_ndo_send" },
	{ 0x581b6afe, "free_netdev" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf67bd2ef, "ns_capable" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d1ea6ec, "strlcat" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x2674efb0, "__pskb_pull_tail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x680fef5c, "skb_scrub_packet" },
	{ 0xa4e188e7, "strscpy" },
	{ 0xd0f7569e, "neigh_destroy" },
	{ 0x1dccc15e, "dst_cache_get_ip4" },
	{ 0x56470118, "__warn_printk" },
	{ 0xda743d2e, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x31a28542, "iptun_encaps" },
	{ 0xa3b0d94, "raw_copy_from_user" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x739c07bc, "register_netdevice" },
	{ 0x44e37ce2, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BDECBABDC17B650A5A1D692");

MODULE_INFO(suserelease, "SLE15-SP6");
